org.apache.ignite.spi.communication

## Interface CommunicationListener<T extends Serializable>

    public interface CommunicationListener<T extends Serializable>

Listener SPI notifies IO manager with.

`CommunicationSpi` should ignore very first 4 bytes received from sender node and pass the rest of the message to the listener.

### Method Summary

Methods
`void` `onDisconnected(UUID nodeId)` Callback invoked when connection with remote node is lost.
`void` `onMessage(UUID nodeId, T msg, IgniteRunnable msgC)` NOTE: `CommunicationSpi` should ignore very first 4 bytes received from sender node and pass the rest of the received message to the listener.

### Method Detail

#### onMessage

    void onMessage(UUID nodeId,
                 T msg,
                 IgniteRunnable msgC)

NOTE: `CommunicationSpi` should ignore very first 4 bytes received from sender node and pass the rest of the received message to the listener.

Parameters:
  `nodeId` - Node ID.
  `msg` - Message.
  `msgC` - Runnable to call when message processing finished.

#### onDisconnected

    void onDisconnected(UUID nodeId)

Callback invoked when connection with remote node is lost.

Parameters:
  `nodeId` - Node ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015